| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Digikam::CoreDbDownloadHistory Class Reference

## Static Public Member Functions
static void | setDownloaded (const QString &identifier, const QString &name, qlonglong fileSize, const QDateTime &date)
| Sets the status of the item to Downloaded.
static CamItemInfo::DownloadStatus | status (const QString &identifier, const QString &name, qlonglong fileSize, const QDateTime &date)
| Queries the status of a download item that is uniquely described by the four parameters.

## Member Function Documentation

## ◆ status()

CamItemInfo::DownloadStatus Digikam::CoreDbDownloadHistory::status | ( | const QString & | identifier,
|  | const QString & | name,
|  | qlonglong | fileSize,
|  | const QDateTime & | date
| ) |  |
| static

The identifier is recommended to be an MD5 hash of properties describing the camera, if available, and the directory path (though you are free to use all four parameters as you want)